Loading...
Searching...
No Matches
ranges::experimental::views::shared_fn Struct Reference
Inheritance diagram for ranges::experimental::views::shared_fn:

## Public Member Functions

template<typename Rng > requires range<Rng> && (!viewable_range<Rng>) && constructible_from<detail::decay_t<Rng>, Rng>
shared_view< detail::decay_t< Rng > > | operator() (Rng &&rng) const

## Related Symbols

(Note that these are not member symbols.)
constexpr shared_closure< shared_fn > | shared {}